Page MenuHomePhabricator

Switch Zookeeper to profile::java
Closed, ResolvedPublic

Description

In T253553 profile::java was created, which streamlines the installation and configuration of Java (picking the correct packages/repos depending on the target release, opting in to the hardened java.security config, passing Java opts centrally and more).

Zookeeper (conf, an-conf) should also switch to it.

Event Timeline

herron triaged this task as Medium priority.Oct 2 2020, 5:17 PM
herron added a project: Analytics.
herron added a subscriber: herron.
fdans edited projects, added Analytics-Clusters; removed Analytics.Oct 5 2020, 4:35 PM
Ottomata assigned this task to razzi.Oct 22 2020, 6:59 PM

Change 636864 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] zookeeper: use profile::java

https://gerrit.wikimedia.org/r/636864

elukey removed razzi as the assignee of this task.Oct 28 2020, 8:38 AM
elukey claimed this task.
elukey removed a project: Patch-For-Review.
elukey added a subscriber: razzi.
elukey added a subscriber: elukey.

Going to takeover the ownership of the task since I need to do some refactoring of some code that I have written :)

elukey moved this task from Next Up to In Progress on the Analytics-Kanban board.

One gotcha: conf1* is still on jessie (and consequently Java 7), and I don't think anything accounts for Java 7 yet

One gotcha: conf1* is still on jessie (and consequently Java 7), and I don't think anything accounts for Java 7 yet

Yep already opened https://gerrit.wikimedia.org/r/c/operations/puppet/+/636865 :)

Change 636864 merged by Elukey:
[operations/puppet@production] zookeeper: use profile::java

https://gerrit.wikimedia.org/r/636864

Change rolled out!

elukey moved this task from In Progress to Done on the Analytics-Kanban board.Oct 29 2020, 2:09 PM
MoritzMuehlenhoff closed this task as Resolved.Oct 29 2020, 2:39 PM